#include <ESP8266WiFi.h>
#include <ESP8266HTTPClient.h>
#include "secrets.h"
String server_url = "http://api.openweathermap.org/data/2.5/weather?q=Debrecen&APPID="+OPENWEATHERMAP_APPID+"&mode=json";

void setup () {
  Serial.begin(115200);
  WiFi.mode(WIFI_STA);
  WiFi.begin(WIFI_SSID, WIFI_PASS);
  Serial.print("Connecting to ");
  Serial.print(WIFI_SSID);
  while (WiFi.status() != WL_CONNECTED) {
    delay(500);
    Serial.print(".");
  }
  Serial.println();
  Serial.print("Connected! IP address: ");
  Serial.println(WiFi.localIP());
}

void loop() {
  if (WiFi.status() == WL_CONNECTED) {     // Check WiFi connection status
    HTTPClient http;                       // Declare an object of class HTTPClient
    http.begin(server_url);                //Specify request destination
    int httpCode = http.GET();             // Send the request
    if (httpCode > 0) {                    // Check the returning code
      String payload = http.getString();   // Get the request response payload
      Serial.println(payload);             // Print the response payload
    }
    http.end();                            // Close connection
  }
  delay(10000);                            // Send a request every 10 seconds
}
